%define with_html_docs 0
%define with_ps_docs   0

Name:          alex
Summary:       The lexer generator for Haskell
Summary(de):   Ein Lexer-Generator für Haskell
Version:       2.0.1
Release:       0
License:       BSD w/o adv. clause
Group:         Development/Languages/Haskell
Packager:      Herbert Graeber <herbert@graeber-clan.de>
URL:           http://www.haskell.org/alex/
Source:        http://www.haskell.org/alex/dist/%{version}/alex-%{version}-src.tar.gz
BuildRequires: ghc
%if %{with_html_docs}
BuildRequires: haddock
BuildRequires: libxslt
BuildRequires: sgml-skel
BuildRequires: docbook-xsl-stylesheets
BuildRequires: docbook-utils
%if %{with_ps_docs}
BuildRequires: fop
BuildRequires: xmltex
%endif
%endif
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Prefix:        /usr

%description
Alex is a tool for generating lexical analysers in Haskell, given a
description of the tokens to be recognised in the form of regular
expressions.  It is similar to the tool 'lex' or 'flex' for C/C++.

%description -l de
Alex ist ein Tool zum Erzeugen von lexkialischen Analysatoren. Er erzeugt
aus eine Beschreibung von Symbolen durch reguläre Ausdrücke ein
Haskell-Modul, das aus einem Text eine Folge von Symbolen erzeugt. Alex ist
ein vergleichbar mit 'lex' bzw. 'flex' für C und C++.

%package doc
Summary:       Alex Documentation
Summary(de):   Alex-Dokumentation
Group:         Development/Languages/Haskell

%description doc
This is the documentation for Alex, a lexical analyser generator for Haskell.

%description doc -l de
Dieses ist Dokumentation für Alex.

%prep
%setup -q -n alex-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
test -f configure || autoreconf
./configure --prefix=/usr --libdir=%{_libdir} \
%ifarch x86_64 amd64 ia32e
            --enable-libsuffix=64
%endif

make
%if %{with_html_docs}
make html
%if %{with_ps_docs}
make ps
%endif
%endif

%install
rm -rf ${RPM_BUILD_ROOT}
make prefix=$RPM_BUILD_ROOT%{_prefix} libdir=$RPM_BUILD_ROOT%{_libdir}/%{name}-%{version} install

%files
%defattr (-,root,root)
%doc alex/ANNOUNCE
%doc alex/LICENSE
%doc alex/README
%doc alex/TODO
%{prefix}/bin/alex
%{prefix}/bin/alex-%{version}
%{prefix}/%{_lib}/alex-%{version}

%files doc
%defattr (-,root, root)
%doc alex/examples
%if %{with_html_docs}
%doc alex/doc/alex
%if %{with_ps_docs}
%doc alex/doc/alex.ps
%endif
%endif

%changelog
* Mon Sep 04 2006 Herbert Graeber <herbert@links2linux.de>
- Use docbook-utils for html documentation
- Require sgml-skel for build

* Tue Aug 29 2006 - Herbert Graeber <herbert@links2linux.de>
- Disabled ps documentation (no fop without java)

* Mon Aug 28 2006 - Herbert Graeber <herbert@links2linux.de>
- Enabled full documentation build

* Mon Aug 28 2006 - Herbert Graeber <herbert@links2linux.de>
- Move to the SUSE Build Service
- Disabled extended documentation for the first build

* Thu Apr 20 2006 - Herbert Graeber <herbert@links2linux.de>
- Rebuild with GHC 6.4.2

* Wed Sep 21 2005 - Herbert Graeber <herbert@links2linux.de>
- Recompiled with ghc 6.4.1

* Wed Apr 20 2005 - Herbert Graeber <herbert@links2linux.de>
- Changes for x86_64

* Thu Apr 07 2005 - Herbert Graeber <herbert@links2linux.de>
- update to version 2.0.1 for ghc 6.4 compatibility
